<?php 
/**
 * The template for displaying archive pages.
 *
 * Used for displaying archive-type pages. These views can be further customized by
 * creating a separate template for each one.
 *
 * - author.php (Author archive)
 * - category.php (Category archive)
 * - date.php (Date archive)
 * - tag.php (Tag archive)
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */
?>
<?php get_header(); ?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="dinero-page-main"> 
    <header class="page-main-header" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('dinero_innerpage_image_height','300')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >
  
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('dinero_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('dinero_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('dinero_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_archive_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?>    
  <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('dinero_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="<?php if(get_theme_mod('dinero_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('dinero_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
                <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                <!--  <?php //luzuk_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?>

</header><!-- .entry-header --> 
<div class="dinero-innerpage-overlay"></div>
</div>

<main id="innerpage-box">
	  <div class="<?php if(get_theme_mod('dinero_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('dinero_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
		<div class="inner_contentbox">
		<div id="blog-box" class="col-md-9 innerpage-whitebox">
					<div class="innerblogpost">
				<?php if ( have_posts() ) :
					$luzuk_lite_full_posts = get_theme_mod('luzuk_lite_full_posts');
					while ( have_posts() ) : the_post();
						luzuk_lite_archive_post();
					endwhile;
					luzuk_lite_post_navigation();
				endif; ?>
					</div>
					
		</div> 
		<div class="col-md-3">
			<div id="secondary" class="widget-area">
				<?php dynamic_sidebar('luzuk-blog-sidebar'); ?>
			</div>
		</div>
		<div class="clearfix"></div>
		</div>
		<div class="clearfix"></div>
		<div class="row">
			<div class="col-md-12">
				<div class="pagingation">
				    <?php lzGetPagination($query);?>
				</div>
			</div>
		</div>
	</div>
</main>

 <script>
            jQuery.noConflict();
            $(function(){
              function innerblogpostHeight(){
                var ht = 0;
                $('.inner-blogpost-info').each(function(i){
                  var tHt = $(this).height();
                  if(ht<tHt){
                    ht=tHt;
                  }
                });
                $('.inner-blogpost-info').height(ht+'px');
              }
              innerblogpostHeight();
            });
            $( window ).resize(function(){
              innerblogpostHeight();
            });
          </script>

<?php get_footer(); ?>
<!--<div id="page" class="home-page">
	<div id="content" class="article">
		<h1 class="postsby">
			<span><?php //the_archive_title(); ?></span>
		</h1>	
		<?php ///if ( have_posts() ) :
			//$luzuk_lite_full_posts = get_theme_mod('luzuk_lite_full_posts');
			//while ( have_posts() ) : the_post();
				//luzuk_lite_archive_post();
			//endwhile;
			//luzuk_lite_post_navigation();
		//endif; ?>
	</div>
	<?php //get_sidebar(); ?>
</div>
<?php //get_footer(); ?>