<?php    
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Luzuk Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	<link rel="preconnect" href="https://fonts.gstatic.com"> 
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap" rel="stylesheet">

<link rel="preconnect" href="https://fonts.gstatic.com"> 
<link href="https://fonts.googleapis.com/css2?family=Allerta&display=swap" rel="stylesheet">
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/home1.css">
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		
		<div id="loading-area"><div class="la-anim-10"></div></div>
		<!-- header -->
		<!-- #masthead -->


		<?php if(get_theme_mod('dinero_header_style', 'Above Slider') == 'Above Slider' ){ ?>
			 <header class="site-header header-transparent header mo-left header-seo" style="position:relative">
			<div class="maintop-header">
				<div class="<?php if(get_theme_mod('dinero_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('dinero_header_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0<?php }?>">	
					<div class="col-md-4 col-sm-4 col-xs-12 pd-0 wd">
						<?php if (get_theme_mod('dinero_show_tagline',true)) {?>
							<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>
						<?php }?>
					</div>
					<div class="col-md-5 col-sm-4 col-xs-12 pd-0 wd">
						<?php
							$email = get_theme_mod('luzuk_headermain_email', 'info@youremail.com');
							$phone = get_theme_mod('luzuk_headermain_phone', '9878642354');
						?>
						<?php if($email){ ?>
						<div class="h-contact">
							<div class="h-mailid">
								<a href="mailto:<?php echo $email;?>"><i class="fa fa-envelope-o" aria-hidden="true"></i> <?php echo $email ;?></a>			
							</div>
							<div class="clearfix"></div>
						</div>
						<?php }?>
					</div>
					<div class="col-md-3 col-sm-4 col-xs-12 pd-0 wd">
						
				<?php

					$facebook = get_theme_mod('dinero_header_fb', '//facebook.com/');
					$twitter = get_theme_mod('dinero_header_tw', '//twitter.com/');
					$linkedIn = get_theme_mod('dinero_header_in', '//linkedin.com/');
					$youtube = get_theme_mod('dinero_header_youtube', '');
					$instagram = get_theme_mod('dinero_header_instagram', '');
					$whatsapp = get_theme_mod('dinero_header_whatsapp', '');
					$pinterest = get_theme_mod('dinero_header_pinterest', 'https://www.pinterest.com');
				?>

				<div class="header-share"> 
					
					<div class="share-btn">
						<ul class="clearfix">
							<?php if(!empty($facebook)){ ?>
								<li><a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a></li>
							<?php }?>

							<?php if(!empty($twitter)){ ?>
								<li><a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa fa-twitter"></i></a></li>
							<?php }?>

							<?php if(!empty($linkedIn)){ ?>
								<li><a href="<?php echo $linkedIn ?>" title="LinkedIn" class="site-button sharp" target="_blank"><i class="fa fa-linkedin"></i></a></li>
							<?php }?>
							<?php if(!empty($pinterest)){ ?>
								<li><a href="<?php echo $pinterest ?>" title="LinkedIn" class="site-button sharp" target="_blank"><i class="fa fa-pinterest"></i></a></li>
							<?php }?>
							<?php if(!empty($youtube)){ ?>
								<li><a href="<?php echo $youtube ?>" title="Youtube" class="site-button sharp" target="_blank"><i class="fa fa-youtube"></i></a></li>
							<?php }?>
							<?php if(!empty($instagram)){ ?>
								<li><a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram"></i></a></li>
							<?php }?>
							<?php if(!empty($whatsapp)){ ?>
								<li><a href="<?php echo $whatsapp ?>" title="Whats App" class="site-button sharp" target="_blank"><i class="fa fa-whatsapp"></i></a></li>
							<?php }?>

						</ul>
					</div>
				</div>
					</div>
					<div class="clearfix"></div>
				</div>
				<div class="clearfix"></div>
				</div>
				<div class="clearfix"></div>
					<div class="mainbottom-header top-bar-head bottom-header <?php if( get_theme_mod( 'dinero_show_sticky_header', false) != '') { ?> dinero-header <?php } ?>" style="border-radius: 0px;">
						<!-- <div class="row row-eq-height"> -->
						<div class="header-nav-area">						
						<div class="row row-eq-height">
						<div class="col-md-2 col-md-offset-1 col-sm-4 col-xs-4 logo">
							<div class="inside-full-height">
							
							<?php 
							
								if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
									$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
								}
								if( get_theme_mod('pages_logoheight',true) ) {
									$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
								}
								if( get_theme_mod('pages_logoToppadding',true) ) {
									$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
								}
								if( get_theme_mod('pages_logobottompadding',true) ) {
									$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
								}
								if( get_theme_mod('pages_logoTopmargin',true) ) {
									$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
								}
								if( get_theme_mod('pages_logobottommargin',true) ) {
									$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
								}


								?>
								<!-- website logo -->
								<div class="logo-header">
						

				            <?php 
									if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
										the_custom_logo();
								else : 
									if ( is_front_page() ) : ?>
										<?php if (get_theme_mod('dinero_show_site_title',true)) : ?>
										<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php endif; ?>
										<?php else : ?>
											<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php endif; ?>
									<?php endif; ?>
								</div>
							</div>
						</div>
						<div class="col-md-6 col-sm-3 col-xs-3 head-menu pd-0">
							<div class="inside-full-height">
							<?php
								if( get_theme_mod('menu_fontsize',true) ) {
									$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
								}
								if( get_theme_mod('dropdown_menu_fontsize',true) ) {
									$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
								}
							?>

							<div class="site-navigation ">
		                        <div class="hamburger-menus">
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                        </div>
		                        <nav class="navigation">
		                            <div class="overlaybg"></div><!--  /.overlaybg -->
		                            <!-- Main Menu -->
		                            <div class="menu-wrapper">
		                                <div class="menu-content">
		                                    <?php
		                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        } else {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        }
		                                    ?>
		                                </div> <!-- /.hours-content-->

		                              

									<div class="clearfix"></div>

		                            </div><!-- /.menu-wrapper --> 
		                        </nav>
		                        <div class="clearfix"></div>
		                    </div><!--  /.site-navigation -->
		                    <div class="clearfix"></div>
						  </div>
						</div>
						  <div class="col-md-3 col-sm-5 col-xs-5 pd-0 h-contact-block" style="border-radius: 0px;right:0;padding-right: 8.33333333%;">
						  	<div class="inside-full-height">
						  		<?php if($phone){ ?>
									<div class="h-phone">
										<a href="telto:<?php echo $phone;?>">
											<i class="fa fa-phone" aria-hidden="true"></i>
											<br>
											<?php echo $phone ;?>
										</a>			
									</div>
									<div class="clearfix"></div>
								<?php }?>
							</div>
						</div>
					</div>
						</div>						
				<div class="clearfix"></div>
			</div>
			<!--end main top header-->	
					<div class="clearfix"></div>
	</header>
	

		 <?php } elseif(get_theme_mod('dinero_header_style', 'Above Slider') == 'On Slider' ){ ?>

		 <header class="site-header header-transparent header mo-left header-seo" style="position:absolute">

			<div class="<?php if(get_theme_mod('dinero_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('dinero_header_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0<?php }?>">	
			<div class="maintop-header">
					<div class="col-md-4 col-sm-4 col-xs-12 pd-0 wd">
					<?php if (get_theme_mod('dinero_show_tagline',true)) {?>
					<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>
					<?php }?>
					</div>
					<div class="col-md-5 col-sm-4 col-xs-12 pd-0 wd">
						<?php
							$email = get_theme_mod('luzuk_headermain_email', 'info@youremail.com');
							$phone = get_theme_mod('luzuk_headermain_phone', '9878642354');
						?>
						<?php if($email){ ?>
						<div class="h-contact">
							<div class="h-mailid">
								<a href="mailto:<?php echo $email;?>"><i class="fa fa-envelope-o" aria-hidden="true"></i> <?php echo $email ;?></a>			
							</div>
							<div class="clearfix"></div>
						</div>
						<?php }?>
					</div>
					<div class="col-md-3 col-sm-4 col-xs-12 pd-0 wd">
						
				<?php

					$facebook = get_theme_mod('header_fb', '//facebook.com/');
					$twitter = get_theme_mod('header_tw', '//twitter.com/');
					$linkedIn = get_theme_mod('header_in', '//linkedin.com/');
					$youtube = get_theme_mod('header_youtube', '');
					$instagram = get_theme_mod('header_instagram', '');
					$whatsapp = get_theme_mod('header_whatsapp', '');
					$pinterest = get_theme_mod('header_pinterest', 'https://www.pinterest.com');
				?>

				<div class="header-share"> 
					
					<div class="share-btn">
						<ul class="clearfix">
							<?php if(!empty($facebook)){ ?>
								<li><a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a></li>
							<?php }?>

							<?php if(!empty($twitter)){ ?>
								<li><a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa fa-twitter"></i></a></li>
							<?php }?>

							<?php if(!empty($linkedIn)){ ?>
								<li><a href="<?php echo $linkedIn ?>" title="LinkedIn" class="site-button sharp" target="_blank"><i class="fa fa-linkedin"></i></a></li>
							<?php }?>
							<?php if(!empty($pinterest)){ ?>
								<li><a href="<?php echo $pinterest ?>" title="LinkedIn" class="site-button sharp" target="_blank"><i class="fa fa-pinterest"></i></a></li>
							<?php }?>
							<?php if(!empty($youtube)){ ?>
								<li><a href="<?php echo $youtube ?>" title="Youtube" class="site-button sharp" target="_blank"><i class="fa fa-youtube"></i></a></li>
							<?php }?>
							<?php if(!empty($instagram)){ ?>
								<li><a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram"></i></a></li>
							<?php }?>
							<?php if(!empty($whatsapp)){ ?>
								<li><a href="<?php echo $whatsapp ?>" title="Whats App" class="site-button sharp" target="_blank"><i class="fa fa-whatsapp"></i></a></li>
							<?php }?>

						</ul>
					</div>
				</div>
					</div>
					<div class="clearfix"></div>
				</div>
				<div class="clearfix"></div>
					<div class="mainbottom-header top-bar-head bottom-header <?php if( get_theme_mod( 'dinero_show_sticky_header', false) != '') { ?> dinero-header <?php } ?>">
						<!-- <div class="row row-eq-height"> -->
						<div class="header-nav-area">						
						<div class="row row-eq-height">
						<div class="col-md-2 col-sm-4 col-xs-4 logo">
							<div class="inside-full-height">
							
								<!-- website logo -->
								<div class="logo-header">
						

				            <?php 
									if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
										the_custom_logo();
								else : 
									if ( is_front_page() ) : ?>
										<?php if (get_theme_mod('dinero_show_site_title',true)) : ?>
										<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php endif; ?>
										<?php else : ?>
											<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php endif; ?>
									<?php endif; ?>
								</div>
							</div>
						</div>
						<div class="col-md-8 col-sm-3 col-xs-3 head-menu pd-0">
							<div class="inside-full-height">
							<?php
								if( get_theme_mod('menu_fontsize',true) ) {
									$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
								}
								if( get_theme_mod('dropdown_menu_fontsize',true) ) {
									$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
								}
							?>

							<div class="site-navigation ">
		                        <div class="hamburger-menus">
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                        </div>
		                        <nav class="navigation">
		                            <div class="overlaybg"></div><!--  /.overlaybg -->
		                            <!-- Main Menu -->
		                            <div class="menu-wrapper">
		                                <div class="menu-content">
		                                    <?php
		                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        } else {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        }
		                                    ?>
		                                </div> <!-- /.hours-content-->

		                              

									<div class="clearfix"></div>

		                            </div><!-- /.menu-wrapper --> 
		                        </nav>
		                        <div class="clearfix"></div>
		                    </div><!--  /.site-navigation -->
		                    <div class="clearfix"></div>
						  </div>
						</div>
						  <div class="col-md-2 col-sm-2 col-xs-5 pd-0">
						  	<div class="inside-full-height">
						  		<?php if($phone){ ?>
								<div class="h-contact-block">
									<div class="h-phone">
										<a href="telto:<?php echo $phone;?>">
											<i class="fa fa-phone" aria-hidden="true"></i>
											<br>
											<?php echo $phone ;?>
										</a>			
									</div>
									<div class="clearfix"></div>
								</div>
								<?php }?>
							</div>
						</div>
					</div>
						</div>						
				<div class="clearfix"></div>
			</div>
			<!--end main top header-->	
			<div class="clearfix"></div>
			</div>
		<div class="clearfix"></div>
	</header>

	 <?php }?>

	</div>