<?php 
//Bottom Header
    $wp_customize->add_section( 'dinero_footer_setting' , array(
        'title'    => __( 'Footer Setting', 'luzuk-premium' ),
        'priority' => null,
        'panel' => 'luzuk_header_panel1'
    ) );

$wp_customize->add_setting('dinero_reset_footer_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new dinero_Reset_Custom_Control($wp_customize, 'dinero_reset_footer_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Footer Settings', 'dinero'),
  'description' => 'dinero_footer_reset_settings',
  'section' => 'dinero_footer_setting'
)));


   $wp_customize->add_setting('luzuk_footer_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new luzuk_Tab_Control($wp_customize, 'luzuk_footer_nav', array(
       'section' => 'dinero_footer_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'dinero_footer_copyrighttext',
                 'dinero_footer_fb',
                'dinero_footer_fb',
                'dinero_footer_tw',
                'dinero_footer_in',
                'dinero_footer_pinterest',
                'dinero_footer_youtube',
                'dinero_footer_instagram',
                'dinero_footer_whatsapp'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                      
                 'dinero_footer_section_bg_color1',
                'dinero_footer_section_bg_color2',
                'dinero_footer_section_bg_image',
                'dinero_footer_image_opacity',
                'dinero_footer_box_align', 
                'dinero_footer_copyright_align',   
                'dinero_footer_onload_effects',  
                'footerarea_title_color',
                'footerarea_text_color',
                'footerarea_hglightsctext_color',
                'footerarea_icon_color',
                'footerarea_sicon_color',
                'footerarea_siconhover_color',
                'footerarea_menu_color',
                'footerarea_menuhover_color',
                'footerarea_activemenu_color',
                'footerarea_datext_color',
                'footerarea_tableborder_color',
                'footerarea_formtextlabel_color',
                'footerarea_formtext_color',
                'footerarea_formbuttontext_color',
                'footerareabutton_border_color',
                'footerarea_otherfbgs_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'dinero_footer_padding',
                'dinero_footer_section_top_t_padding',
                'dinero_footer_section_top_b_padding',
                'dinero_footer_padding1',
                'dinero_footer_section_bottom_t_padding',
                'dinero_footer_section_bottom_b_padding',     
                'dinero_footer_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'dinero_footer_copyrighttext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '© 2021 Business All Rights Reserved', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_footer_copyrighttext',
    array(
        'settings'      => 'dinero_footer_copyrighttext',
        'section'       => 'dinero_footer_setting', 
        'type'          => 'textarea',
        'label'         => __( 'Copyright', 'Luzuk' )
    )
);



// FACEBOOK 
$wp_customize->add_setting('dinero_footer_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_footer_fb',
    array(
        'settings'      => 'dinero_footer_fb',
        'section'       => 'dinero_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);
// TWITTER
$wp_customize->add_setting('dinero_footer_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_footer_tw',
    array(
        'settings'      => 'dinero_footer_tw',
        'section'       => 'dinero_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);


// Instagram IN
$wp_customize->add_setting('dinero_footer_instagram',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_footer_instagram',
    array(
        'settings'      => 'dinero_footer_instagram',
        'section'       => 'dinero_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);


// LINKED IN
$wp_customize->add_setting('dinero_footer_in',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_footer_in',
    array(
        'settings'      => 'dinero_footer_in',
        'section'       => 'dinero_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Linkedin Url', 'luzuk-premium' )
    )
);

// Pinterest
$wp_customize->add_setting('dinero_footer_pinterest',array('default'=> 'https://pinterest.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_footer_pinterest',
    array(
        'settings'      => 'dinero_footer_pinterest',
        'section'       => 'dinero_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'luzuk-premium' )
    )
);

// Youtube IN
$wp_customize->add_setting('dinero_footer_youtube',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_footer_youtube',
    array(
        'settings'      => 'dinero_footer_youtube',
        'section'       => 'dinero_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Youtube Url', 'luzuk-premium' )
    )
);



// Whatsapp IN
$wp_customize->add_setting('dinero_footer_whatsapp',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_footer_whatsapp',
    array(
        'settings'      => 'dinero_footer_whatsapp',
        'section'       => 'dinero_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Whatsapp Url', 'luzuk-premium' )
    )
);


//backgroundManager($wp_customize, 'footer', 'dinero_footer_setting', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'dinero_footer_section_bg_color1', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'dinero_footer_section_bg_color1', array(
        'label' => __('Background Color','dinero'),
       'section' => 'dinero_footer_setting',
    )));

$wp_customize->add_setting( 'dinero_footer_section_bg_color2', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'dinero_footer_section_bg_color2', array(
        'label' => __('Background Color','dinero'),
       'section' => 'dinero_footer_setting',
    )));

    $wp_customize->add_setting( 'dinero_footer_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'dinero_footer_section_bg_image', array(
        'label' => __('Section Background Image','dinero'),
       'section' => 'dinero_footer_setting',
    )));


     $wp_customize->add_setting('dinero_footer_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'dinero_sanitize_float'
    ));
    $wp_customize->add_control(new dinero_Custom_Control( $wp_customize, 'dinero_footer_image_opacity',array(
    'label' => __('Background Opacity','dinero'),
    'section' => 'dinero_footer_setting',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

  $wp_customize->add_setting('dinero_footer_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_footer_onload_effects',array(
        'type' => 'select',
        'label' => __('Section Onload Transition Effects','dinero'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','dinero'),
            'wow bounceInRight' => __('Bounce In Right','dinero'),
            'wow bounceInUp' => __('Bounce In Up','dinero'),
            'wow bounceInDown' => __('Bounce In Down','dinero'),
            'wow zoomIn' => __('Zoom In','dinero'),
            'wow zoomOut' => __('Zoom Out','dinero'),
            'wow fadeInDown' => __('Fade In Down','dinero'),            
            'wow fadeInUp' => __('Fade In Up','dinero'),
            'wow fadeInLeft' => __('Fade In Left','dinero'),
            'wow fadeInRight' => __('Fade In Right','dinero'),
            'flip-up' => __('Flip Up','dinero')
        ),
        'section' => 'dinero_footer_setting',
    ));

$wp_customize->add_setting('dinero_footer_box_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_footer_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','dinero'),
        'choices' => array (
            'Center' => __('Center','dinero'),
            'Left' => __('Left','dinero'),
            'Right' => __('Right','dinero')
        ),
        'section' => 'dinero_footer_setting',
    ));

       $wp_customize->add_setting('dinero_footer_copyright_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_footer_copyright_align',array(
        'type' => 'select',
        'label' => __('Copyright Alignment','dinero'),
        'choices' => array (
            'Center' => __('Center','dinero'),
            'Left' => __('Left','dinero'),
            'Right' => __('Right','dinero')
        ),
        'section' => 'dinero_footer_setting',
    ));


    $wp_customize->add_setting('dinero_footer_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('dinero_footer_padding',array(
      'label' => __('Top Footer Padding','dinero'),
      'section' => 'dinero_footer_setting'
   ));


    $wp_customize->add_setting('dinero_footer_section_top_t_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_footer_section_top_t_padding',array(
    'type' => 'number',
    'label' => __('Top','dinero'),
    'section' => 'dinero_footer_setting',
    ));
     $wp_customize->add_setting('dinero_footer_section_top_b_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_footer_section_top_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','dinero'),
    'section' => 'dinero_footer_setting',
    ));


    $wp_customize->add_setting('dinero_footer_padding1',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('dinero_footer_padding1',array(
      'label' => __('Bottom Footer Padding','dinero'),
      'section' => 'dinero_footer_setting'
   ));


    $wp_customize->add_setting('dinero_footer_section_bottom_t_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_footer_section_bottom_t_padding',array(
    'type' => 'number',
    'label' => __('Top','dinero'),
    'section' => 'dinero_footer_setting',
    ));
     $wp_customize->add_setting('dinero_footer_section_bottom_b_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_footer_section_bottom_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','dinero'),
    'section' => 'dinero_footer_setting',
    ));


    $wp_customize->add_setting('dinero_footer_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_footer_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','dinero'),
        'choices' => array (
            'Box Width' => __('Box Width','dinero'),
            'Full Width' => __('Full Width','dinero')
        ),
        'section' => 'dinero_footer_setting',
    ));

?>