<?php 
$wp_customize->add_section( 'title_tagline', array(
    'title' => __( 'Logo Settings', 'Luzuk Premium' ),
     'priority' => null,
    'panel' => 'luzuk_header_panel2',
) );


$wp_customize->add_setting('dinero_reset_logosetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new dinero_Reset_Custom_Control($wp_customize, 'dinero_reset_logosetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Logo Settings', 'dinero'),
  'description' => 'dinero_logosetting_reset_settings',
  'section' => 'title_tagline'
)));

$wp_customize->add_setting('luzuk_logosetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));


    $wp_customize->add_control(new luzuk_Tab_Control($wp_customize, 'luzuk_logosetting_nav', array(
       'section' => 'title_tagline',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'custom_logo',
                'blogname',
                'blogdescription',
                'site_icon',
                'dinero_show_site_title',
               'dinero_show_tagline'               
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Layout', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'dinero_logo_size',
               'dinero_logo_height',
               'dinero_logo_margin',
               'dinero_logo_top_margin',
               'dinero_logo_bottom_margin',
               'dinero_logo_left_margin',
               'dinero_logo_right_margin'
            ),
         )
        ),
    )));

    $wp_customize->add_setting( 'dinero_show_site_title',array(
        'default' => true,
        'sanitize_callback' => 'dinero_switch_sanitization'
   ) );
   $wp_customize->add_control( new Dinero_Toggle_Switch_Custom_Control( $wp_customize, 'dinero_show_site_title',array(
        'label' => __( 'Site Title','dinero' ),
        'section' => 'title_tagline'
   )));

    $wp_customize->add_setting( 'dinero_show_tagline',array(
        'default' => true,
        'sanitize_callback' => 'dinero_switch_sanitization'
   ) );
   $wp_customize->add_control( new Dinero_Toggle_Switch_Custom_Control( $wp_customize, 'dinero_show_tagline',array(
        'label' => __( 'Site Tagline','dinero' ),
        'section' => 'title_tagline'
   )));

    $wp_customize->add_setting('dinero_logo_size',array(
        'default' => 100,
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new dinero_Custom_Control( $wp_customize, 'dinero_logo_size',array(
    'label' => __('Logo Width','dinero'),
    'section' => 'title_tagline',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('dinero_logo_height',array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new dinero_Custom_Control( $wp_customize, 'dinero_logo_height',array(
    'label' => __('Logo Height','dinero'),
    'section' => 'title_tagline',
    'input_attrs' => array(
            'min' => 0,
            'max' => 150,
            'step' => 1,
        ),
    )));


    $wp_customize->add_setting('dinero_logo_margin',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('dinero_logo_margin',array(
      'label' => __('Logo Padding','dinero'),
      'section' => 'title_tagline'
   ));

$wp_customize->add_setting('dinero_logo_top_margin',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_logo_top_margin',array(
    'type' => 'number',
    'label' => __('Top','dinero'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('dinero_logo_bottom_margin',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_logo_bottom_margin',array(
    'type' => 'number',
    'label' => __('Bottom','dinero'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('dinero_logo_left_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_logo_left_margin',array(
    'type' => 'number',
    'label' => __('Left','dinero'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('dinero_logo_right_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_logo_right_margin',array(
    'type' => 'number',
    'label' => __('Right','dinero'),
    'section' => 'title_tagline',
    ));

?>