<?php 
    $wp_customize->add_section(
        'dinero_about_section',
        array(
            'title' => __( 'About Us', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel1',
            'priority' =>20
        )
    );

$wp_customize->add_setting('dinero_reset_about_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new dinero_Reset_Custom_Control($wp_customize, 'dinero_reset_about_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset about Section Settings', 'dinero'),
  'description' => 'dinero_about_reset_settings',
  'section' => 'dinero_about_section'
)));

$wp_customize->add_setting('luzuk_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new luzuk_Tab_Control($wp_customize, 'luzuk_about_nav', array(
       'section' => 'dinero_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'dinero_about_enable',
                'dinero_about_image',
                'dinero_about_section_title1',
                'dinero_about_head_icon_enable',
                'dinero_about_head_icon',
                'dinero_about_subtitle',
                'dinero_about_text',
                'dinero_about_texttext',
                'dinero_about_page_list',                
                'dinero_about_button_display',
                'dinero_about_btn_txt',
                'dinero_about_btnlink'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'dinero_about_section_bg_color',
                'dinero_about_section_bg_image',
                'dinero_about_image_opacity',               
                'luzuk_about_title_heading1',
                'luzuk_premium_about_section_background',
                'luzuk_about_bg_color',
                'luzuk_about_bg_image',                
                'dinero_about_box_onload_effects',
                'dinero_about_head_align',
                'dinero_about_area_btn_color',
                'dineroabout_area_btnbg1_color',
                'dineroabout_area_btnbg2_color',
                'dinero_about_heading_color1',
                'dinero_about_heading_color2',
                'dinero_about_headingborder_color1',
                'dinero_about_headingborder_color2',
                'dinero_about_subheading_color',
                'dinero_about_text_color',
                'dinero_about_list_color',
                'dinero_about_icon_color',
                'dinero_about_iconbg_color',
                'dinero_about_button_color',
                'dinero_about_buttonbg_color1',
                'dinero_about_buttonbg_color2'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'dinero_about_padding',
                'dinero_about_top_padding',
                'dinero_about_bottom_padding',
                'dinero_about_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'dinero_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'dinero_switch_sanitization'
) );
$wp_customize->add_control( new Dinero_Toggle_Switch_Custom_Control( $wp_customize, 'dinero_about_enable',array(
    'label' => __( 'Disable Section','dinero' ),
    'section' => 'dinero_about_section'
)));

    $wp_customize->add_setting( 'dinero_about_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'dinero_about_image', array(
        'label' => __('About Image','dinero'),
       'section' => 'dinero_about_section',
    )));


$wp_customize->add_setting(
    'dinero_about_section_title1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'ABOUT US', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'dinero_about_section_title1',
    array(
        'settings'      => 'dinero_about_section_title1',
        'section'       => 'dinero_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

$wp_customize->add_setting('dinero_about_head_icon_enable',array(
        'default' => 'No',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_about_head_icon_enable',array(
        'type' => 'radio',
        'label' => __('Heading Icon Display','dinero'),
        'choices' => array (
            'No' => __('No','dinero'),
            'Yes' => __('Yes','dinero')        
        ),
        'section' => 'dinero_about_section'
    ));
 $wp_customize->add_setting(
        'dinero_about_head_icon',
        array(
            'default'           => 'fa fa-bell',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'dinero_about_head_icon',
            array(
                // 'settings'      => 'dinero_about_head_icon',
                'section'       => 'dinero_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
                'active_callback' => 'dinero_about_type_icon'
            )
        )
    );


$wp_customize->add_setting(
    'dinero_about_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'We Offer Best Creatives IT Solutions & Consulting Firm', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'dinero_about_subtitle',
    array(
        'settings'      => 'dinero_about_subtitle',
        'section'       => 'dinero_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'dinero_about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna .', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'dinero_about_text',
    array(
        'settings'      => 'dinero_about_text',
        'section'       => 'dinero_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Paragraph', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'dinero_about_page_list',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<ul>
           <li>Corporate Cash Management</li>
            <li>Cost According Fundamental</li>
            <li>According Procedures Guidebook</li>
            <li>Creative Websites Design</li>
            </ul>', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'dinero_about_page_list',
    array(
        'settings'      => 'dinero_about_page_list',
        'section'       => 'dinero_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Bullet Points ', 'luzuk-premium' )
    )
);

// backgroundManager($wp_customize, 'about', 'dinero_about_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'dinero_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'dinero_about_section_bg_color', array(
        'label' => __('Section Background Color','dinero'),
       'section' => 'dinero_about_section',
    )));

    $wp_customize->add_setting( 'dinero_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'dinero_about_section_bg_image', array(
        'label' => __('Section Background Image','dinero'),
       'section' => 'dinero_about_section',
    )));


 $wp_customize->add_setting('dinero_about_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'dinero_sanitize_float'
    ));
    $wp_customize->add_control(new dinero_Custom_Control( $wp_customize, 'dinero_about_image_opacity',array(
    'label' => __('Background Opacity','dinero'),
    'section' => 'dinero_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));



// to show & hide another button
$wp_customize->add_setting( 'dinero_about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'dinero_about_button_display', array( 'label' => 'Button Display', 'section' => 'dinero_about_section', 'settings' => 'dinero_about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'dinero_about_btn_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'dinero_about_btn_txt',
    array(
        'settings'      => 'dinero_about_btn_txt',
        'section'       => 'dinero_about_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('dinero_about_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('dinero_about_btnlink',
    array(
        'settings'      => 'dinero_about_btnlink',
        'section'       => 'dinero_about_section',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'luzuk-premium' )
    )
);

    $wp_customize->add_setting('dinero_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','dinero'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','dinero'),
            'wow bounceInRight' => __('Bounce In Right','dinero'),
            'wow bounceInUp' => __('Bounce In Up','dinero'),
            'wow bounceInDown' => __('Bounce In Down','dinero'),
            'wow zoomIn' => __('Zoom In','dinero'),
            'wow zoomOut' => __('Zoom Out','dinero'),
            'wow fadeInDown' => __('Fade In Down','dinero'),            
            'wow fadeInUp' => __('Fade In Up','dinero'),
            'wow fadeInLeft' => __('Fade In Left','dinero'),
            'wow fadeInRight' => __('Fade In Right','dinero'),
            'flip-up' => __('Flip Up','dinero')
        ),
        'section' => 'dinero_about_section',
    ));

         $wp_customize->add_setting('dinero_about_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_about_head_align',array(
        'type' => 'select',
        'label' => __('Head Alignment','dinero'),
        'choices' => array (
            'Center' => __('Center','dinero'),
            'Left' => __('Left','dinero'),
            'Right' => __('Right','dinero')
        ),
        'section' => 'dinero_about_section',
    ));


    $wp_customize->add_setting('dinero_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('dinero_about_padding',array(
      'label' => __('Section Padding','dinero'),
      'section' => 'dinero_about_section'
   ));
   
    $wp_customize->add_setting('dinero_about_top_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_about_top_padding',array(
    'type' => 'number',
    'label' => __('Top','dinero'),
    'section' => 'dinero_about_section',
    ));
     $wp_customize->add_setting('dinero_about_bottom_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_about_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','dinero'),
    'section' => 'dinero_about_section',
    ));

    $wp_customize->add_setting('dinero_about_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','dinero'),
        'choices' => array (
            'Box Width' => __('Box Width','dinero'),
            'Full Width' => __('Full Width','dinero')
        ),
        'section' => 'dinero_about_section',
    ));



addColorPalatOption($wp_customize, 'dinero_about_heading_color1', 'dinero_about_section', 'Heading color', '');
addColorPalatOption($wp_customize, 'dinero_about_heading_color2', 'dinero_about_section', 'Heading color', '');

addColorPalatOption($wp_customize, 'dinero_about_headingborder_color1', 'dinero_about_section', 'Heading border color', '');
addColorPalatOption($wp_customize, 'dinero_about_headingborder_color2', 'dinero_about_section', 'Heading border color', '');

addColorPalatOption($wp_customize, 'dinero_about_subheading_color', 'dinero_about_section', 'Subheading color', '');

addColorPalatOption($wp_customize, 'dinero_about_text_color', 'dinero_about_section', 'Text color', '');
addColorPalatOption($wp_customize, 'dinero_about_list_color', 'dinero_about_section', 'List color', '');

addColorPalatOption($wp_customize, 'dinero_about_icon_color', 'dinero_about_section', 'Icon color', '');
addColorPalatOption($wp_customize, 'dinero_about_iconbg_color', 'dinero_about_section', 'Icon Background color', '');
addColorPalatOption($wp_customize, 'dinero_about_button_color', 'dinero_about_section', 'Button color', '');
addColorPalatOption($wp_customize, 'dinero_about_buttonbg_color1', 'dinero_about_section', 'Button Background color', '');
addColorPalatOption($wp_customize, 'dinero_about_buttonbg_color2', 'dinero_about_section', 'Button Background color', '');
?>