<?php 
  $lvl2ParentPanel3 = new LUZUK_WP_Customize_Panel( $wp_customize, 'luzuk_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'luzuk_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'luzuk_section', array(
    'title' => 'Section Test page',
    'panel' => 'luzuk_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'luzuk_blog_pages' , array(
        'title'    => __( 'Blog Page', 'luzuk-premium' ),
        'priority' => null,
        'panel' => 'luzuk_header_panel3'
    ) );

$wp_customize->add_setting('dinero_reset_blogpages_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new dinero_Reset_Custom_Control($wp_customize, 'dinero_reset_blogpages_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Blog Pages Settings', 'dinero'),
  'description' => 'dinero_blogpages_reset_settings',
  'section' => 'luzuk_blog_pages'
)));
    

    $wp_customize->add_setting('luzuk_blogpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new luzuk_Tab_Control($wp_customize, 'luzuk_blogpages_nav', array(
       'section' => 'luzuk_blog_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'blog_featured_img_on_off',
                'dinero_blogpage_post_image_height',
                'dinero_show_author',
                'dinero_show_date',
                'dinero_show_time',
                'dinero_show_category',
                'dinero_show_comments',
                'dinero_show_tags',
                'allblog_btnlabel1',                
                'allblog_btnlabel',
                'blog_page_button_display',
                'blog_page_btn_txt',
                'blog_socials_on_off'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Layout', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'luzuk__blog_layout',
                'dinero_blogpage_post_excerpt'
            ),
         ),
          array(
            'name' => esc_html__('Style', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                // 'luzuk_template_innerpage_blogimgoverlaycolor1',
                // 'luzuk_template_innerpage_blogimgoverlaycolor2',
                // 'luzuk_template_innerpage_blogbuttoniconcolor',
                // 'luzuk_template_innerpage_blogbuttoniconbgcolor',
                // 'luzuk_template_innerpage_blogtitlecolor',
                // 'luzuk_template_innerpage_blogtitlehovercolor',
                // 'luzuk_template_innerpage_blogsocialcolor',
                // 'luzuk_template_innerpage_blogsocialbgcolor',
                // 'luzuk_template_innerpage_blogsocialhovercolor',
                // 'luzuk_template_innerpage_blogsocialbghovercolor'
            ),
         )
        ),
    )));


$wp_customize->add_setting(
    'blog_featured_img_on_off',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'blog_featured_img_on_off',
        array(
            'settings'      => 'blog_featured_img_on_off',
            'section'       => 'luzuk_blog_pages',
            'label'         => __( 'Thumbnail', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);


$wp_customize->add_setting('dinero_blogpage_post_image_height',array(
        'default' => 350,
        'sanitize_callback' => 'dinero_sanitize_integer'
    ));
    $wp_customize->add_control(new dinero_Custom_Control( $wp_customize, 'dinero_blogpage_post_image_height',array(
    'label' => __('Image Height','dinero'),
    'section' => 'luzuk_blog_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

$wp_customize->add_setting('dinero_show_author',array(
  'default' => true,
  'sanitize_callback'   => 'dinero_sanitize_checkbox'
));
$wp_customize->add_control('dinero_show_author',array(
  'type' => 'checkbox',
  'label' => __('Show / Hide Author','dinero'),
  'section' => 'luzuk_blog_pages'
));


$wp_customize->add_setting('dinero_show_date',array(
      'default' => true,
      'sanitize_callback'   => 'dinero_sanitize_checkbox'
   ));
   $wp_customize->add_control('dinero_show_date',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Date','dinero'),
      'section' => 'luzuk_blog_pages'
   ));

$wp_customize->add_setting('dinero_show_time',array(
      'default' => true,
      'sanitize_callback'   => 'dinero_sanitize_checkbox'
   ));
   $wp_customize->add_control('dinero_show_time',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Time','dinero'),
      'section' => 'luzuk_blog_pages'
   ));

$wp_customize->add_setting('dinero_show_category',array(
      'default' => true,
      'sanitize_callback'   => 'dinero_sanitize_checkbox'
   ));
   $wp_customize->add_control('dinero_show_category',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Category','dinero'),
      'section' => 'luzuk_blog_pages'
   ));

    $wp_customize->add_setting('dinero_show_comments',array(
      'default' => true,
      'sanitize_callback'   => 'dinero_sanitize_checkbox'
   ));
   $wp_customize->add_control('dinero_show_comments',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Comments','dinero'),
      'section' => 'luzuk_blog_pages'
   ));

   $wp_customize->add_setting('dinero_show_tags',array(
      'default' => true,
      'sanitize_callback'   => 'dinero_sanitize_checkbox'
   ));
   $wp_customize->add_control('dinero_show_tags',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Comments','dinero'),
      'section' => 'luzuk_blog_pages'
   ));

lzCustomLable($wp_customize, 'allblog_btnlabel', 'luzuk_blog_pages', 'Button Setting:');

// to show & hide another button
$wp_customize->add_setting( 'blog_page_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'blog_page_button_display', array( 'label' => 'Button Display', 'section' => 'luzuk_blog_pages', 'settings' => 'blog_page_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'blog_page_btn_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'blog_page_btn_txt',
    array(
        'settings'      => 'blog_page_btn_txt',
        'section'       => 'luzuk_blog_pages',
        'type'          => 'text',
        'label'         => __( 'Button Label', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'blog_socials_on_off',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'blog_socials_on_off',
        array(
            'settings'      => 'blog_socials_on_off',
            'section'       => 'luzuk_blog_pages',
            'label'         => __( 'Socials', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

//Blog Layout
$lzBlogLayout = getBlogLayout(true);

$wp_customize->add_setting(
   'luzuk__blog_layout',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new luzuk_Font_Chooser(
      $wp_customize,
      'luzuk__blog_layout',
      array(
         'settings'=> 'luzuk__blog_layout',
         'section' => 'luzuk_blog_pages',
         'label'=>__('Left / Right and No Sidebar', 'Luzuk Premium'),
         'choices'=>$lzBlogLayout
      )
   )
);

$wp_customize->add_setting('dinero_blogpage_post_excerpt',array(
        'default' => 20,
        'sanitize_callback' => 'dinero_sanitize_integer'
    ));
    $wp_customize->add_control(new dinero_Custom_Control( $wp_customize, 'dinero_blogpage_post_excerpt',array(
    'label' => __('Excerpt Length','dinero'),
    'section' => 'luzuk_blog_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));

// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogimgoverlaycolor1', 'luzuk_blog_pages', 'Blog page Image Hover Overlay Color One', '#441e87');

// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogimgoverlaycolor2', 'luzuk_blog_pages', 'Blog page Image Hover Overlay Color Two', '#4b91f1');

// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogbuttoniconcolor', 'luzuk_blog_pages', 'Blog page Image Hover Icon color', '#4b91f1');

// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogbuttoniconbgcolor', 'luzuk_blog_pages', 'Blog page Image Hover Icon Background color', '#fff');
// //Blog page title color
// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogtitlecolor', 'luzuk_blog_pages', 'Blog page title color', '#3d3d3d');
// //Blog page title hover color
// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogtitlehovercolor', 'luzuk_blog_pages', 'Blog page title hover color', '#441e87');

// //Blog page social color
// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogsocialcolor', 'luzuk_blog_pages', 'Blog page social color', '#fff');
// //Blog page social color
// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogsocialbgcolor', 'luzuk_blog_pages', 'Blog page social background color', '#516bec');
// //Blog page social hover color
// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogsocialhovercolor', 'luzuk_blog_pages', 'Blog page social hover color', '#fff');
// //Blog page social color
// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogsocialbghovercolor', 'luzuk_blog_pages', 'Blog page social background hover color', '#4b91f1');